Subject: Re: bug#53353: 29.0.50; spurious <tab-bar> <mouse-movement> events generated by mouse motion in tab-bar

From: Po Lu <[email-masked]>
Date: Wed, 19 Jan 2022 19:54:14 +0800

Eli Zaretskii <[email-masked]> writes:

> The global binding of mouse-movement in bindings.el is very old, and I
> have no idea what were the reasons for it.  But we don't do anything
> like that for any other mouse-movement gesture, so I don't think I
> agree we should do it now.  If LSP doesn't want these events, it
> should bind them to 'ignore' inside the track-mouse forms.

That's reasonable, thanks.

I'll close this bug if Mark confirms that it's not Emacs who is setting
track-mouse to t.